« Back to Liferay IDE

Liferay IDE Installation Guide

Alternative Languages: 日本語

This document is a detailed guide to installation of Liferay IDE.

Requirements #

  • Java 5.0 JRE
  • Eclipse Indigo JavaEE (3.7.x) or greater

Installation steps #

  • 1. Install Eclipse Indigo JavaEE package or greater
  • 2. Run eclipse.exe
  • 3. When eclipse opens, go to Help > Install New Software...
  • 4. Click "Add..." button to open Add Site dialog
  • 5. Type in Liferay IDE for name, and location use one of the following URLs

Eclipse Update sites #

Latest Stable Release URL (1.6.x) - http://releases.liferay.com/tools/ide/latest/stable/

Latest Milestone Release URL (2.x) - http://releases.liferay.com/tools/ide/latest/milestone/ (Unstable version)

  • 6. Select OK
  • 7. Select the Liferay IDE site from the combo selection box.
  • 8. When the table refreshes you should see Liferay Tooling category and one entry for Liferay IDE feature, select the checkbox to install the feature.
  • 9. Click Next and then click Finish to begin the install
  • 10. After plugins download and install you will have to accept that the content is unsigned and then restart eclipse.
  • 11. After you restart, go to Help > About Eclipse and you should see a Icon badge for Liferay IDE that shows you have it properly installed.

Alternative installation #

Check installation #

If everything installed correctly you should be able to begin using the IDE. You can see a getting started tutorial here:

Liferay IDE Getting Started Tutorial

5 Attachments
196094 Views
Average (14 Votes)
The average rating is 4.92857142857143 stars out of 5.
Comments
Threaded Replies Author Date
These guides are so helpful! Please keep them... Joel Protivnak July 14, 2010 7:13 AM
I'm having difficulty installing this. I'm... Jessica Dutton August 18, 2010 12:44 AM
Hi Jessica, Sorry you are having troubles. ... Gregory Amerson August 19, 2010 6:51 AM
IF alternative installation fails ... Abhishek Saxena August 27, 2010 7:19 AM
great ..!!! Marlon Viñan September 20, 2010 1:44 PM
its very great... but i have problem with this... Umesh Annegirikar October 3, 2010 10:20 PM
Could you follow up with me over on the forums?... Gregory Amerson October 12, 2010 2:50 PM
I am new to Liferay and am trying to add the... Joshua Spangler November 29, 2010 7:11 AM
Hi Josh, can you post your problems over on the... Gregory Amerson February 11, 2011 12:09 PM
I've been using Galileo, should I switch to... Gavin Headen February 21, 2011 8:11 AM
Yes, the latest IDE version (1.2) is only... Gregory Amerson February 23, 2011 1:05 PM
ServiceBuilder Wizard is not as advanced as... Ruben Gerad Mathew February 24, 2011 10:50 PM
We have plans for adding a visual service... Gregory Amerson February 28, 2011 7:32 AM
I tried it... verbatim. Cannot get past step... Dean Parkinson March 12, 2011 1:26 PM
Hi Dean, The problem is that your eclipse... Gregory Amerson March 21, 2011 10:55 AM
Everytime I try to install the IDE from Eclipse... Dipankar Sengupta May 9, 2011 7:39 AM
That update site is only supported for Eclipse... Gregory Amerson June 9, 2011 3:21 PM
Thank you so much. A very useful page indeed Vijay Mudivedu October 13, 2011 4:00 AM
Just like to add: It says: '# Eclipse Inidigo... Ay Kay November 22, 2011 5:14 AM
Is there a possibility 2 install some liferay... Michal Ocho July 16, 2012 7:14 AM
Hi Michal, There is a much older version of... Gregory Amerson August 7, 2012 12:53 PM
Hey the links for Indigo is not working they... Mradul Ashok November 5, 2012 5:08 AM
Thank you for the article! alexey -bykov November 12, 2012 11:22 PM
If you use Juno, this is the correct link :... Matthieu R. November 23, 2012 12:10 AM
Got following error while installation through... Gradle Son February 17, 2013 8:33 AM
Hello Gradle, Try just installing not using... Gregory Amerson February 20, 2013 9:22 PM
Hello, this manual is not clear at all. Which... Mauricio Cubaque February 7, 2014 9:37 AM
Hey Mauricio, Can you post your issue over on... Gregory Amerson February 11, 2014 12:49 AM
i have installed this successfully.please let... ganesh kumar May 15, 2013 10:16 PM
Hello Ganesh, If you can post your specific... Gregory Amerson May 20, 2013 8:20 PM

These guides are so helpful! Please keep them coming. emoticon
Posted on 7/14/10 7:13 AM.
I'm having difficulty installing this. I'm following the steps exactly, but after eclipse restarts and I go to Help > About Eclipse there is no icon for Liferay. If I click the Installation Details button, Liferay IDE is listed under Installed Software.

Has anyone encountered any similar problems?
Posted on 8/18/10 12:44 AM.
Hi Jessica,

Sorry you are having troubles. Could you post your problem again in the Liferay IDE forums. Hopefully we can get your issue fixed over there.

http://www.liferay.com/community/forums/-/message_boards/category/4627757
Posted on 8/19/10 6:51 AM in reply to Jessica Dutton.
IF alternative installation fails

http://www.liferay.com/community/forums/-/message_boards/message/5681419?_19_pre­view=false
Posted on 8/27/10 7:19 AM in reply to Jessica Dutton.
Posted on 9/20/10 1:44 PM.
its very great...
but i have problem with this installation.whenever i am trying this i get the error as Liferay 1.1 does not have valid license aggrement.
So please resolve this issue
Thanks...
Posted on 10/3/10 10:20 PM.
Posted on 10/12/10 2:50 PM in reply to Umesh Annegirikar.
I am new to Liferay and am trying to add the IDE to Eclipse. I am getting the following error with both the regular installation and the alternative installation:

Cannot complete the install because of a conflicting dependency.
Software being installed: Liferay IDE 1.1.0.v201009141126 (com.liferay.ide.eclipse.tools.feature.group 1.1.0.v201009141126)
Software currently installed: Eclipse Web Developer Tools 3.1.1.v200908120400-7R77FSpEVw2xXR0CtKvX6bG6a2qU (org.eclipse.wst.web_ui.feature.feature.group 3.1.1.v200908120400-7R77FSpEVw2xXR0CtKvX6bG6a2qU)
Only one of the following can be installed at once:
Java EMF Model Utilities 2.0.200.v200905140200 (org.eclipse.jem.util 2.0.200.v200905140200)
Java EMF Model Utilities 2.0.201.v201001252130 (org.eclipse.jem.util 2.0.201.v201001252130)
Cannot satisfy dependency:
From: Liferay IDE 1.1.0.v201009141126 (com.liferay.ide.eclipse.tools.feature.group 1.1.0.v201009141126)
To: com.liferay.ide.eclipse.ui [1.1.0.v201009141126]
Cannot satisfy dependency:
From: Liferay UI 1.1.0.v201009141126 (com.liferay.ide.eclipse.ui 1.1.0.v201009141126)
To: bundle org.eclipse.jem.util 2.0.201
Cannot satisfy dependency:
From: WST Common Core 3.1.1.v200908102300-7B77FZ3F7RZHIVI9QdN4PM (org.eclipse.wst.common_core.feature.feature.group 3.1.1.v200908102300-7B77FZ3F7RZHIVI9QdN4PM)
To: org.eclipse.jem.util [2.0.200.v200905140200]
Cannot satisfy dependency:
From: WST Web Core 3.1.1.v200908120400-7H77FDAAT7oGlfz0dFV3j0BgbCD7 (org.eclipse.wst.web_core.feature.feature.group 3.1.1.v200908120400-7H77FDAAT7oGlfz0dFV3j0BgbCD7)
To: org.eclipse.wst.common_core.feature.feature.group [3.1.1.v200908102300-7B77FZ3F7RZHIVI9QdN4PM]
Cannot satisfy dependency:
From: Eclipse Web Developer Tools 3.1.1.v200908120400-7R77FSpEVw2xXR0CtKvX6bG6a2qU (org.eclipse.wst.web_ui.feature.feature.group 3.1.1.v200908120400-7R77FSpEVw2xXR0CtKvX6bG6a2qU)
To: org.eclipse.wst.web_core.feature.feature.group [3.1.1.v200908120400-7H77FDAAT7oGlfz0dFV3j0BgbCD7]

Does anyone know how to solve the conflicting versions of "Java EMF Model Utilities"?

Thanks, Josh
Posted on 11/29/10 7:11 AM.
Hi Josh, can you post your problems over on the IDE forums? http://www.liferay.com/community/forums/-/message_boards/category/4627757 and I can try to answer your install problem over there.
Posted on 2/11/11 12:09 PM in reply to Joshua Spangler.
I've been using Galileo, should I switch to Helios?
Posted on 2/21/11 8:11 AM in reply to Gregory Amerson.
Yes, the latest IDE version (1.2) is only compatible with Helios.
Posted on 2/23/11 1:05 PM in reply to Gavin Headen.
ServiceBuilder Wizard is not as advanced as NetBeans plugin. Will there be any updates on the same ? It does not allow adding of elements using a GUI wizard.
Last time I checked Netbeans plugin did not support relationships via GUI inteface can that be incorporated into the new ServiceBuilder in the Eclipse IDE with some updates for the same in Netbeans too ?
Posted on 2/24/11 10:50 PM.
We have plans for adding a visual service builder editor later this year.
Posted on 2/28/11 7:32 AM in reply to Ruben Gerad Mathew.
I tried it... verbatim. Cannot get past step 9. The problem is documented over here: http://marketplace.eclipse.org/content/error/report/36226

Is there a fix?
Posted on 3/12/11 1:26 PM.
Hi Dean,

The problem is that your eclipse install doesn't have the full Java EE for Web developers features, i.e. it doesn't have the JSF features from eclipse. You should be able to download WTP(webtools project) features from this updatesite: http://download.eclipse.org/releases/helios/
Posted on 3/21/11 10:55 AM in reply to Dean Parkinson.
Everytime I try to install the IDE from Eclipse Galileo by going to the URL ( http://releases.liferay.com/tools/ide/eclipse/helios/stable/ ) given in this guide, I am being asked id and password and I don't know any id and password for further installation and due to that I get the authentication failed message and the liferay IDE never gets installed within Eclipse. The zip file is also missing some prerequisites. Can some one please let me know what is wrong with the process - It seems very straightforward. I am not able to understand what am I missing here
Posted on 5/9/11 7:39 AM.
That update site is only supported for Eclipse Helios. You mentioned you were trying Eclipse Galileo which is not supported from that update-site. There is a galileo update-site http://releases.liferay.com/tools/ide/eclipse/galileo/stable/ but it is a much older version of Liferay IDE.
Posted on 6/9/11 3:21 PM in reply to Dipankar Sengupta.
Thank you so much.

A very useful page indeed
Posted on 10/13/11 4:00 AM.
Just like to add:
It says: '# Eclipse Inidigo (3.7.x) or Eclipse Helios (3.6.x) IDE for Java EE Developers'
I just managed (within a breeze) to install Liferay IDE into Eclipse Indigo (3.7) Java EE Dev
Posted on 11/22/11 5:14 AM.
Is there a possibility 2 install some liferay ide on eclipse indigo 3.5 ?
Posted on 7/16/12 7:14 AM.
Hi Michal,

There is a much older version of Liferay IDE available for Eclipse Galileo (3.5) available. But it is only version 1.1 of Liferay IDE

http://releases.liferay.com/tools/ide/eclipse/galileo/stable/
Posted on 8/7/12 12:53 PM in reply to Michal Ocho.
Hey the links for Indigo is not working they say links are no more can you people provide me the link for present repository so that i can install LIferay SDK on my eclipse indigo 3.7.2
Posted on 11/5/12 5:08 AM in reply to Gregory Amerson.
Thank you for the article!
Posted on 11/12/12 11:22 PM.
If you use Juno, this is the correct link : http://releases.liferay.com/tools/ide/eclipse/juno/stable/
Posted on 11/23/12 12:10 AM in reply to ivanov -void.
Got following error while installation through Eclipse Market place in sts-3.0.0.RELEASE:

An error occurred while collecting items to be installed
session context wasemoticonprofile=DefaultProfile, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).
Unable to connect to repository http://releases.liferay.com/tools/ide/eclipse/juno/stable/plugins/org.eclipse.sa­pphire.ui_0.5.4.201210261722.jar
Connection timed out: connect
Posted on 2/17/13 8:33 AM.
Hello Gradle,

Try just installing not using marketplace but by using this URL in the install manager:

http://releases.liferay.com/tools/ide/eclipse/juno/stable/
Posted on 2/20/13 9:22 PM in reply to Gradle Son.
i have installed this successfully.please let me know the next SDK configuration and runtime?

thanks in advance
Posted on 5/15/13 10:16 PM.
Hello Ganesh,

If you can post your specific question over on the IDE forums we can help you better there. Thanks!

http://www.liferay.com/community/forums/-/message_boards/category/4627757­
Posted on 5/20/13 8:20 PM in reply to ganesh kumar.
Hello, this manual is not clear at all. Which version of Eclipse must we use to develop something to Liferay 6.1.2 GA3? This link is broken, the SDK with Eclipse Juno in the newsert version says "Error creating Liferay plugin project", no matter which version of Eclipse you use, the new project is not made or at least half made.

Could you please tell us the updated links to download a Eclipse Version, with their respective plugins to make any development? Thanks for your help and soon answer.
Posted on 2/7/14 9:37 AM in reply to Gregory Amerson.
Hey Mauricio,

Can you post your issue over on the Liferay IDE forums and we can follow up over there. www.liferay.com/community/forums/-/message_boards/category/4627757
Posted on 2/11/14 12:49 AM in reply to Mauricio Cubaque.